> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Order Note

> Admin: add a note to the order timeline. Internal notes are staff-only
(never emailed, hidden from the customer-facing timeline).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/orders/{order_id}/notes
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/orders/{order_id}/notes:
    post:
      tags:
        - admin
      summary: Add Order Note
      description: |-
        Admin: add a note to the order timeline. Internal notes are staff-only
        (never emailed, hidden from the customer-facing timeline).
      operationId: add_order_note_api_v1_admin_orders__order_id__notes_post
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Order Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderNoteCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_OrderHistoryOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderNoteCreate:
      properties:
        body:
          type: string
          title: Body
        is_internal:
          type: boolean
          title: Is Internal
          default: true
      type: object
      required:
        - body
      title: OrderNoteCreate
    ApiResponse_OrderHistoryOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/OrderHistoryOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[OrderHistoryOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrderHistoryOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        event_type:
          type: string
          title: Event Type
          default: status_change
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        notify_customer:
          type: boolean
          title: Notify Customer
        actor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor Name
        is_internal:
          type: boolean
          title: Is Internal
          default: false
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - comment
        - notify_customer
        - created_at
      title: OrderHistoryOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````